@import "../base/variable.scss";
@import "../base/mixins.scss";


.feedback_section{
    padding: 80px 0;
    padding-bottom: 120px;
    background-color: $meber-edt;
    .feedback_inner{
        h2{
            text-align: center;
            font-weight: 700;
            font-size: 24px;
            padding-bottom: 30px;
            text-transform: uppercase;
        }
        .feed_back_form{
            margin: 0 auto;
            width: 700px;
            padding-top: 20px;
            position: relative;
            &::after{
                position: absolute;
                content: "";
                border: 3px solid $primary_color;
                width: 900px;
                height: 200px;
                border-radius: 10px;
                left: -95px;
                top: 10%;
                margin: 0 auto;
                z-index: 1;
            }
            &::before{
                position: absolute;
                content: "";
                border: 3px solid $primary_color;
                width: 900px;
                height: 240px;
                border-radius: 10px;
                left: -95px;
                bottom: 24%;
                margin: 0 auto;
                z-index: 1;
            }
            .form-group{
                background-color: $white;
                padding: 30px;
                border-radius: 10px;
                margin-bottom: 30px;
                position: relative;
                box-shadow: rgba(17, 17, 26, 0.05) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
                z-index: 2;
                @include clearfix();
                label{
                    font-size: 18px;
                    color: $black;
                    text-align: start;
                    padding-bottom: 20px;

                }
                .rated{
                    @include clearfix();
                }
                .form-control{
                    background-color: $form-input;
                }
                .selector{
                    position:relative;
                    display:flex;
                    justify-content:space-between;
                    align-items:center;
                }
                .selecotr-item{
                    position:relative;
                    flex-basis:calc(70% / 3);
                    height:100%;
                    display:flex;
                    justify-content:center;
                    align-items:center;
                    margin-right: 15px;
                    cursor: pointer;
                    &:last-child{
                        margin-right: 0;
                    }
                }
                .selector-item_radio{
                    appearance:none;
                    display:none;
                }
                .selector-item_label{
                    position:relative;
                    height:50px;
                    padding: 0 40px;
                    text-align:center;
                    border-radius:10px;
                    line-height:50px;
                    font-weight:400;
                    transition-duration:0.2s ease;
                    transition-property:transform, color, box-shadow;
                    transform:none;
                    box-shadow: 4px 4px 20px rgba(0, 0, 0, 0.15);
                    cursor: pointer;
                }
                .selector-item_radio:checked + .selector-item_label{
                    box-shadow: 4px 4px 20px rgba(0, 0, 0, 0.15);
                    background-color: $primary_color;
                    color: $white;
                    transition-duration:0.2s ease;
                }
            }
            .submit_bt{
                padding-top: 10px;
            }
        }
    }
}






/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
	
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
	.feedback_section{
        .feedback_inner{
            .feed_back_form{
                &::after{
                    width: 746px;
                    left: -23px;
                    right: 0;
                }
                &::before{
                    width: 746px;
                    left: -23px;
                    right: 0;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .feedback_section{
        padding-bottom: 70px;
        .feedback_inner{
            .feed_back_form{
                width: 100%;
                &::after{
                    content: none;
                }
                &::before{
                    content: none;
                }
            }
        }
    }
}


/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
	.feedback_section{
        padding-top: 40px;
        padding-bottom: 40px;
        .feedback_inner{
            h2{
                font-size: 18px;
                padding-bottom: 10px;
            }
            .feed_back_form{
                width: 100%;
                &::after{
                    content: none;
                }
                &::before{
                    content: none;
                }
                .form-group{
                    padding: 20px;
                    .selector{
                        display: block;
                        .selecotr-item{
                            display: block;
                            margin-bottom: 15px;
                        }
                    }
                }
                .submit_bt{
                    padding-top: 0px;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .feedback_section{
        padding-top: 40px;
        padding-bottom: 40px;
        .feedback_inner{
            h2{
                font-size: 18px;
                padding-bottom: 10px;
            }
            .feed_back_form{
                width: 100%;
                &::after{
                    content: none;
                }
                &::before{
                    content: none;
                }
                .form-group{
                    padding: 20px;
                    .selector{
                        display: block;
                        .selecotr-item{
                            display: block;
                            margin-bottom: 15px;
                        }
                    }
                }
                .submit_bt{
                    padding-top: 0px;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}